Subject: bug#16733: messed up unicode chars in package description

From: Stefan <[email-masked]>
Date: Sun, 23 Mar 2014 18:24:22 -0400

>> After url-insert-file-contents is changed, I don't care much about the
>> rest because package.el will not need to call something else than
>> url-insert-file-contents so we may not even need url-w-i-n.
> You'll have to describe the semantics you expect from url-i-f-c in
> greater detail, because at this moment I don't know how you define
> error,

I'd follow the behavior of url-http-file-exists-p, i.e. consider any
result outside the range [200,300[ to be an error.

> how do you intend to check it,

Not sure about the details, here, because I'm not familiar enough with
the URL package.

> and what you want to do if an error is detected.

Same as insert-file-contents, i.e. signal a `file-error'.

        Stefan